## slurm-llnl 14.03.9

=== debian/changelog ===
slurm-llnl (14.03.9-5+deb8u5) jessie-security; urgency=medium

  [ Abhijith PA ]
  * Fix CVE-2019-12838: SQL Injection (Closes: #931880)
  * Fix CVE-2019-6438: mishandles 32-bit systems (Closes: #920997)

  [ Sylvain Beucler ]
  * Non-maintainer upload by the Debian LTS Team.

 -- Sylvain Beucler <beuc@debian.org>  Sat, 14 Mar 2020 21:19:18 +0100

slurm-llnl (14.03.9-5+deb8u4) jessie-security; urgency=medium

  * Fix CVE-2018-7033-2.patch (Closes: 893044)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 02 Aug 2018 18:19:28 +0200

slurm-llnl (14.03.9-5+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-7033
    Fix for issue in accounting_storage/mysql plugin by always
    escaping strings within the slurmdbd.
  * CVE-2018-10995
    Fix for mishandling of user names (aka user_name fields) and 
    group ids (aka gid fields).
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Jun 2018 16:03:02 +0200

slurm-llnl (14.03.9-5+deb8u2) jessie; urgency=medium

  * Team upload.
  * slurm-client: Add Breaks+Replaces: slurm-llnl-slurmdbd (<< 14.03.9-5) for
    clean upgrades from wheezy which shipped sacctmgr there. (Closes: #901513)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jun 2018 15:58:33 +0200

slurm-llnl (14.03.9-5+deb8u1) jessie; urgency=high

  * Fix security issue caused by insecure file path handling triggered by
    the failure of a Prolog script (CVE-2016-10030)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jul 2017 10:06:41 +0200

slurm-llnl (14.03.9-5) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * sacctmgr moved to the slurm-client package (Closes: #768938)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 12 Nov 2014 12:07:04 +0100

slurm-llnl (14.03.9-4) unstable; urgency=medium

  * Declaring slurm-client conflict with sinfo (Closes: #768112)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 06 Nov 2014 10:28:03 +0100

slurm-llnl (14.03.9-3) unstable; urgency=medium

  * Do not force slurmdbd.conf's mode to 600.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 25 Oct 2014 01:13:56 +0200

slurm-llnl (14.03.9-2) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * Fix names of boot scripts in logrotate files
  * Ensure slurmdbd.conf has mode 600

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 24 Oct 2014 15:31:40 +0200

slurm-llnl (14.03.9-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.

  [ Gennaro Oliva ]
  * Upgraded to standard version 3.9.6
  * Updated libslurm27.symbols and libslurmdb27.symbols.
  * Fix spelling error in slurm.conf.5
    * add debian/patches/manpages
  * Added munge to slurmd and slurmctld Depends (Closes: #766160)

  [ Rémi Palancher ]
  * Enable hwloc support
    * add Build-Depends on libhwloc-dev
    * enable dh autoreconf
    * add debian/patches/honor-without-rpath-hwloc

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 23 Oct 2014 17:27:46 +0200

slurm-llnl (14.03.8-2) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Update Homepage field in d/control file
  * Fix watch file

  [ Rémi Palancher ]
  * Use architecture.mk for DEB_BUILD/DEB_HOST defs
  * Fix typo in default PID path in configurator

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 07 Oct 2014 21:55:59 +0200

slurm-llnl (14.03.8-1) experimental; urgency=medium

  [ Gennaro Oliva ]
  * Binary packages renaming:
    slurm-llnl -> slurm-client
    slurm-llnl-slurmd -> slurmd
    slurm-llnl-slurmctld -> slurmctld
    slurm-llnl-slurdbd -> slurmdbd
    slurm-llnl-basic-plugins -> slurm-wlm-basic-plugins
    slurm-llnl-basic-plugins-dev -> slurm-wlm-basic-plugins-dev
    slurm-llnl-sview -> sview
    slurm-llnl-doc -> slurm-wlm-doc
  * New slurm-wlm metapackage depending on slurmctld
    slurm-client and slurmd
  * New slurm-llnl and slurm-llnl-slurmdbd
    transitional dummy packages
  * README.* updated
  * Configurators, slurm-resume.sh and
    slurm-suspend.sh examples moved to the slurmctld
    package
  * init.d scripts modified to import old default and
    to avoid usless dependency on slurm-client
  * Restored lintian-overrides files to avoid
    informational ("-I") tags
  * Added slurm directories in transitional dummy
    packages to avoid installation messages warnings
    about not removing non-empty directories
  * Added slurm-llnl-slurmdbd and slurm-llnl preinst
    to remove rc?.d symlinks to the old init scripts
    and the script itself if it doesn't contain user
    changes
  * Added {slurmd,slurmctld,slurmdbd}.tmpfile to
    create /var/run/slurm-llnl when using systemd
  * Added a warning message in the slurm-llnl preinst in case of
    modified init files

  [ Rémi Palancher ]
  * New upstream release 14.03.7 (Closes: #756012)
    Maintainers patches have been ported to this new upstream version
    SONAME of shared libs in *-dev pkgs dumped from 26 to 27 with updated
    debian/*.symbols
  * Bump debhelper compat level from 7 to 9
  * Split slurm-llnl package into 3 packages: slurm-llnl{,-slurmd,-slurmtld}
    (Closes: #749945)
  * Added native systemd services files
  * Remove build-dep to libpq-dev since upstream does not support PostgreSQL
    backend anymore
  * Big cleanup in debian/rules back to something more dh standards compliant.
    This also fixes FTBFS when built twice in a row (Closes: #617697).
  * Moved examples in dedicated subdirectory
  * Adds examples for cgroup configuration in slurmd pkg
  * Remove useless file related to transient slurm-llnl-dev package
  * Use globing in libslurm-dev.manpages
  * Correct path to README in init scripts and path to example in README
  * Add patch to increase size of read buffer for sacctmgr
    + debian/patches/sacctmgr-increase-buffer
  * Enable parallel build
  * Remove all lintian overrides

  [ Mehdi Dogguy ]
  * Wrap {,Build-}Depends lines in debian/control file to increase readability.
  * Add Rémi and myself as Uploaders
  * Add Vcs-{Browser,Git} fields.
  * Import new upstream release (14.03.8)



=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9.20130504),
 autotools-dev,
 libmunge-dev,
 libncurses5-dev,
 libssl-dev,
 po-debconf,
 python,
 libglade2-dev,
 libgtk2.0-dev,
 libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-autoreconf,
 dh-exec,
 dh-systemd (>= 1.5)
Standards-Version: 3.9.6
Homepage: http://slurm.schedmd.com
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/slurm-llnl.git
Vcs-Git: git://anonscm.debian.org/collab-maint/slurm-llnl.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 munge,
 ucf
Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
Conflicts: sinfo
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 munge,
 openssl-blacklist,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 munge,
 openssl-blacklist,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: libslurmdb27
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurm27
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm27 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurmdb27 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm27 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-doc (<< 14.03)
Breaks: slurm-llnl-doc (<< 14.03)
Description: SLURM docmentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-basic-plugins (<< 14.03)
Breaks: slurm-llnl-basic-plugins (<< 14.03)
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl-sview (<< 14.03)
Breaks: slurm-llnl-sview (<< 14.03)
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurmdbd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 munge,
 ucf
Replaces: slurm-llnl-slurmdbd (<< 14.03)
Breaks: slurm-llnl-slurmdbd (<< 14.03)
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

Package: libslurm-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module.

Package: libslurmdb-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for the SLURM database
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module for the SLURM database.

Package: slurm-wlm-torque
Architecture: all
Depends:
 libslurm-perl (>= ${source:Version}),
 libslurmdb-perl (>= ${source:Version}),
 ${perl:Depends},
 ${misc:Depends},
 slurm-client (>= ${source:Version})
Replaces: slurm-llnl-torque (<< 14.03)
Breaks: slurm-llnl-torque (<< 14.03)
Conflicts: gridengine-client, torque-client, torque-client-x11
Description: Torque compatibility wrappers for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Torque compatibility wrappers.

Package: libpam-slurm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: PAM module to authenticate using the SLURM resource manager
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management. Access to the node is
 restricted to user root and users who have been allocated resources on
 that node.

Package: slurm-llnl
Architecture: all
Section: oldlibs
Depends: slurm-wlm, ${misc:Depends}
Description: transitional dummy package for slurm-wlm
 This is a transitional dummy package for slurm-wlm.
 It can safely be removed.

Package: slurm-llnl-slurmdbd
Architecture: all
Section: oldlibs
Depends: slurmdbd, ${misc:Depends}
Description: transitional dummy package for slurmdbd
 This is a transitional dummy package for slurmdbd
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --builddirectory --parallel --with autoreconf --with systemd

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath

override_dh_auto_install:
	dh_auto_install
	
	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp
	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes debian/tmp/usr/bin/q*; do \
		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

override_dh_auto_test:

## slurm-llnl 14.11.6

=== doc/sigops/Makefile ===
# The following comments are to remind me how the automatic variables work:
# $@ - target
# $% - target member
# $< - First prerequisite
# $? - All (newer) prerequisites
# $^ - All prerequisites
# $+ - $^ but with repetitions
# $* - $* stem of pattern (for "foo.c" in %.c:%.o this would be "foo")
# 'info "GNU make"': "Using variables": "Automatic" also lists a few more.

REPORT = report

TEX = ../common/llnlCoverPage.tex $(REPORT).tex 

FIGDIR = ../figures
FIGS = $(FIGDIR)/arch2.eps \
       $(FIGDIR)/comm.eps \
       $(FIGDIR)/entities2.eps \
       $(FIGDIR)/launch.eps

BIB = ../common/project.bib

%.eps: %.dia
	dia --nosplash -e $@ $< 
%.eps: %.gpl
	gnuplot $<
%.eps: %.fig
	fig2dev -Lps $< $@
%.eps: %.obj
	tgif -print -eps $<
%.ps: %.dvi
	dvips -K -t letter -o $(@F) $(<F)
%.pdf: %.dvi
	dvipdf $< $@ 

all: $(REPORT).ps 


$(REPORT).dvi: $(TEX) $(FIGS) $(BIB)
	rm -f *.log *.aux *.blg *.bbl
	(TEXINPUTS=.:../common::; export TEXINPUTS; \
	 BIBINPUTS=.:../common::; export BIBINPUTS; \
	 latex $(REPORT); \
	 bibtex $(REPORT); \
	 latex $(REPORT); \
	 latex $(REPORT) )

view: $(REPORT).ps
	ghostview $(REPORT) &

clean: 
	rm -f *~ *.dvi *.log *.aux *.ps *.pdf *.blg *.bbl #*.eps #*.gif

=== doc/slides/qsnet/Makefile ===
all: slides.dvi

# -paper usr
view: slides.dvi
	xdvi -paper usr -expert -s 0 slides
viewps: slides.ps
	ghostview -seascape slides.ps

clean:
	rm -f slides.dvi slides.aux slides.log slides.ps

slides.dvi: slides.tex llnl.ps penguin.eps slurm.eps
	latex slides
slides.ps: slides.dvi
	dvips -O 0.75in,0 -f <slides.dvi >$@  # slides 1-per page

%.eps: %.obj
	tgif -print -eps $<

%.pdf: %.dvi
	dvipdf $< $@

=== debian/changelog ===
slurm-llnl (14.11.6-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Minor man pages formatting changes
  * Restore var/*/slurm-llnl dirnames in the html configurator tools
  * Add --disable-debug to configure

  [ Rémi Palancher ]
  * Add -dbg packages for libs, binaries and plugins
  * Remove autoreconf since not needed anymore
  * Remove patch honor-without-rpath-hwloc since merged upstream
  * Create user slurm on slurm-client pkg install (Closes: #783663)
  * Add missing dep on ucf + adduser on pkgs
  * Add missing dep for -client on -basic-plugins (Closes: #783662)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 20 May 2015 16:47:32 +0200

## slurm-llnl 14.11.7

=== debian/changelog ===
slurm-llnl (14.11.7-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 02 Jul 2015 14:46:24 +0200

## slurm-llnl 14.11.8

=== doc/slides/job-initiation/Makefile ===
all: slides.dvi

# -paper usr
view: slides.dvi
	xdvi -paper usr -expert -s 0 slides
viewps: slides.ps
	ghostview -seascape slides.ps

clean:
	rm -f slides.dvi slides.aux slides.log slides.ps

slides.dvi: slides.tex penguin.eps 
	latex slides
slides.ps: slides.dvi
	dvips -O 0.75in,0 -f <slides.dvi >$@  # slides 1-per page

%.eps: %.obj
	tgif -print -eps $<

%.pdf: %.dvi
	dvipdf $< $@

=== debian/changelog ===
slurm-llnl (14.11.8-4) unstable; urgency=medium

  * Conflict with older versions of sinfo only

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 19 Aug 2015 22:15:21 +0000

slurm-llnl (14.11.8-3) unstable; urgency=medium

  * Add libipmimonitoring-dev build dependency (Closes: #792368)
  * Add librrd-dev build dependency (Closes: #792370)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 15 Jul 2015 09:48:30 +0200

slurm-llnl (14.11.8-2) unstable; urgency=medium

  * Correct a typo in the slurmd init.d script (Closes: #792027) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 13 Jul 2015 08:55:20 +0200

slurm-llnl (14.11.8-1) unstable; urgency=medium

  * New upstream release
  * Updated libslurm28 and libslurmdb28 symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Jul 2015 11:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
  libhwloc-dev,
  dh-autoreconf,
  dh-exec,
+ librrd-dev,
+ libipmimonitoring-dev,
  dh-systemd (>= 1.5)
 Standards-Version: 3.9.6
 Homepage: http://slurm.schedmd.com
@@ -32,7 +34,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- slurm-wlm-basic-plugins (= ${binary:Version}),
  slurmd (= ${binary:Version}),
  slurmctld (= ${binary:Version}),
  slurm-client (= ${binary:Version})
@@ -51,11 +52,13 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ slurm-wlm-basic-plugins (= ${binary:Version}),
  munge,
+ adduser,
  ucf
-Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
-Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
-Conflicts: sinfo
+Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
+Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
+Conflicts: sinfo (<< 0.0.47-4)
 Description: SLURM client side commands
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -63,6 +66,20 @@
  interconnect agnostic.
  This package contains all client side commands.
 
+Package: slurm-client-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurm-client (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM client side commands
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for all client side
+ commands.
+
 Package: slurmd
 Architecture: any
 Depends:
@@ -71,6 +88,7 @@
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
  adduser,
+ ucf,
  munge,
  openssl-blacklist,
  openssl (>= 0.9.8g-9),
@@ -84,6 +102,20 @@
  interconnect agnostic.
  This package contains the compute node demon slurmd.
 
+Package: slurmd-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmd (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM compute node daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for the compute node daemon
+ slurmd.
+
 Package: slurmctld
 Architecture: any
 Depends:
@@ -93,6 +125,7 @@
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
  adduser,
+ ucf,
  munge,
  openssl-blacklist,
  openssl (>= 0.9.8g-9),
@@ -106,7 +139,21 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb27
+Package: slurmctld-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmctld (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM central management daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for central management
+ daemon slurmctld.
+
+Package: libslurmdb28
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -116,7 +163,21 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm27
+Package: libslurmdb28-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurmdb28 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM slurmdbd runtime library
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for slurmdbd runtime
+ library.
+
+Package: libslurm28
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -126,6 +187,20 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
+Package: libslurm28-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurm28 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM slurm runtime library
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for slurm runtime
+ library.
+
 Package: libpmi0
 Section: libs
 Architecture: any
@@ -136,13 +211,27 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
+Package: libpmi0-dbg
+Architecture: any
+Section: debug
+Depends:
+ libpmi0 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM PMI library implementation
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for SLURM PMI library
+ implementation.
+
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm27 (= ${binary:Version})
+ libslurm28 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -156,7 +245,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb27 (= ${binary:Version})
+ libslurmdb28 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -169,7 +258,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm27 (= ${binary:Version})
+ libslurm28 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -184,7 +273,7 @@
  ${misc:Depends}
 Replaces: slurm-llnl-doc (<< 14.03)
 Breaks: slurm-llnl-doc (<< 14.03)
-Description: SLURM docmentation
+Description: SLURM documentation
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM html documentation.
@@ -200,6 +289,19 @@
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM basic plugins
+
+Package: slurm-wlm-basic-plugins-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurm-wlm-basic-plugins (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM basic plugins
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for basic plugins.
 
 Package: slurm-wlm-basic-plugins-dev
 Section: devel
@@ -249,74 +351,11 @@
  clusters in a central location and sacctmgr a command for managing
  user accounts in SlurmDBD.
 
-Package: libslurm-perl
-Section: perl
-Architecture: any
-Depends:
- ${perl:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Description: Perl API for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Perl module.
-
-Package: libslurmdb-perl
-Section: perl
-Architecture: any
-Depends:
- ${perl:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Description: Perl API for the SLURM database
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Perl module for the SLURM database.
-
-Package: slurm-wlm-torque
-Architecture: all
-Depends:
- libslurm-perl (>= ${source:Version}),
- libslurmdb-perl (>= ${source:Version}),
- ${perl:Depends},
- ${misc:Depends},
- slurm-client (>= ${source:Version})
-Replaces: slurm-llnl-torque (<< 14.03)
-Breaks: slurm-llnl-torque (<< 14.03)
-Conflicts: gridengine-client, torque-client, torque-client-x11
-Description: Torque compatibility wrappers for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Torque compatibility wrappers.
-
-Package: libpam-slurm
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
-Description: PAM module to authenticate using the SLURM resource manager
- Pluggable Authentication Module (PAM) for restricting access to compute
- nodes where SLURM performs resource management. Access to the node is
- restricted to user root and users who have been allocated resources on
- that node.
-
-Package: slurm-llnl
-Architecture: all
-Section: oldlibs
-Depends: slurm-wlm, ${misc:Depends}
-Description: transitional dummy package for slurm-wlm
- This is a transitional dummy package for slurm-wlm.
- It can safely be removed.
-
-Package: slurm-llnl-slurmdbd
-Architecture: all
-Section: oldlibs
-Depends: slurmdbd, ${misc:Depends}
-Description: transitional dummy package for slurmdbd
- This is a transitional dummy package for slurmdbd
- It can safely be removed.
-
+Package: slurmdbd-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmdbd (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for slurmdbd daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it

## slurm-llnl 15.08.1

=== debian/changelog ===
slurm-llnl (15.08.1-1) unstable; urgency=medium

  * New upstream release 
  * Remove man-pages patch included in upstream
  * Update libslurm29 and libslurmdb29 symbol files 
  * Fix a typo in scontrol.1 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 28 Sep 2015 15:41:18 +0200

slurm-llnl (15.08.0-1) unstable; urgency=medium

  * New upstream release 
  * Updated libraries api version to 29 
  * Updated mail-path patch
  * Minor man pages changes 
  * Add d/slurm-client.lintian-overrides to avoid warnings for a long
    line in acct_gather.conf.5 and for the conflicts with sinfo in
    d/control
  * Remove d/slurmd.lintian-overrides since the lintian bug that caused
    the spelling-error-in-binary false positive was solved

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 24 Sep 2015 16:30:57 +0200

## slurm-llnl 15.08.2

=== doc/slides/users/Makefile ===
all: slides

# -paper usr
clean:
	rm -f slides.dvi slides.aux slides.log slides.ps slides.pdf slides.out

slides: slides.tex 
	(TEXINPUTS=.:./tex:./figures:../../common::; export TEXINPUTS; \
	 latex slides; latex slides; \
	 dvips -K -Ppdf -G0 slides.dvi -o slides.ps; \
	 ps2pdf13 -dPDFsettings=/prepress slides.ps slides.pdf )

=== debian/changelog ===
slurm-llnl (15.08.2-1) unstable; urgency=medium

  * New upstream release 
  * Remove scontrol-man-page included in upstream 
  * Remove unused override shlib-with-executable-stack in
    slurm-wlm-basic-plugins for a false-positive now fixed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 26 Oct 2015 12:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -153,7 +153,7 @@
  This package contains the debugging symbols for central management
  daemon slurmctld.
 
-Package: libslurmdb28
+Package: libslurmdb29
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -163,11 +163,11 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurmdb28-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurmdb28 (= ${binary:Version}),
+Package: libslurmdb29-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurmdb29 (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for SLURM slurmdbd runtime library
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -177,7 +177,7 @@
  This package contains the debugging symbols for slurmdbd runtime
  library.
 
-Package: libslurm28
+Package: libslurm29
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -187,11 +187,11 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
-Package: libslurm28-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurm28 (= ${binary:Version}),
+Package: libslurm29-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurm29 (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for SLURM slurm runtime library
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -231,7 +231,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm28 (= ${binary:Version})
+ libslurm29 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -245,7 +245,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb28 (= ${binary:Version})
+ libslurmdb29 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -258,7 +258,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm28 (= ${binary:Version})
+ libslurm29 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,14 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --builddirectory --parallel --with autoreconf --with systemd
+	dh $@ --builddirectory --parallel --with systemd
 
+# We run configure with --disable-debug to avoid the default use of -O0 and
+# consequent unprotected source functions, causing lintian report
+# hardening-no-fortify-functions
+# Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug
 
 override_dh_auto_install:
 	dh_auto_install
@@ -38,4 +42,19 @@
 		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
 	done
 
+override_dh_strip:
+	dh_strip -plibslurm29 --dbg-package=libslurm29-dbg
+	dh_strip -plibslurmdb29 --dbg-package=libslurmdb29-dbg
+	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
+	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
+	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
+	dh_strip -pslurmd --dbg-package=slurmd-dbg
+	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
+	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
+	# we do not care about debug symbols for those pkgs
+	dh_strip -plibslurmdb-perl
+	dh_strip -plibslurm-perl
+	dh_strip -psview
+	dh_strip -plibpam-slurm
+
 override_dh_auto_test:

## slurm-llnl 15.08.3

=== debian/changelog ===
slurm-llnl (15.08.3-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 Nov 2015 13:53:28 +0100

## slurm-llnl 15.08.4

=== debian/changelog ===
slurm-llnl (15.08.4-1build2) xenial; urgency=medium

  * No-change rebuild against libipmimonitoring5a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jan 2016 02:08:52 +0000

slurm-llnl (15.08.4-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:45:00 +0000

slurm-llnl (15.08.4-1) unstable; urgency=medium

  * New upstream release
  * Change slurm user's home directory to /nonexistent
  * Update libslurm29 and libslurmdb29 symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 30 Nov 2015 17:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-llnl
 Section: admin
 Priority: extra
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9.20130504),
@@ -358,4 +359,3 @@
  slurmdbd (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for slurmdbd daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
